# MatGetColumnVector

Gets the values from a given column of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetColumnVector(Mat A,Vec yy,PetscInt col)

Not Collective

### Input Parameters

| A | - the matrix
| yy | - the vector
| c | - the column requested (in global numbering)

### Notes

Each processor for which this is called gets the values for its rows.

Since PETSc matrices are usually stored in compressed row format, this routine will generally be slow.

The vector must have the same parallel row layout as the matrix.

Contributed by: Denis Vanderstraeten

### Keywords

matrix, column, get

### See Also

MatGetRow(), MatGetDiagonal()

Level:advanced
Location: src/mat/utils/getcolv.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages